
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>Function documentation &#8212; Risk assessment library 0.1 documentation</title>
    <link rel="stylesheet" href="_static/alabaster.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    './',
        VERSION:     '0.1',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true,
        SOURCELINK_SUFFIX: '.txt'
      };
    </script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="prev" title="Welcome to Risk assessment library’s documentation!" href="index.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  
  
  <meta name="viewport" content="width=device-width, initial-scale=0.9, maximum-scale=0.9" />

  </head>
  <body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-risk_assessment">
<span id="function-documentation"></span><h1>Function documentation<a class="headerlink" href="#module-risk_assessment" title="Permalink to this headline">¶</a></h1>
<dl class="function">
<dt id="risk_assessment.riskAssessment">
<code class="descclassname">risk_assessment.</code><code class="descname">riskAssessment</code><span class="sig-paren">(</span><em>depth</em>, <em>v_curve</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/risk_assessment.html#riskAssessment"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#risk_assessment.riskAssessment" title="Permalink to this definition">¶</a></dt>
<dd><p>Calculate the risk assessment and its execution time</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>depth</strong> (<em>csv file</em><em>(</em><em>float</em><em>)</em><em> See data_sample.zip</em>) – depth values</li>
<li><strong>v_curve</strong> (<em>csv file</em><em>(</em><em>float</em><em>)</em><em> See data_sample.zip</em>) – vulnerability curve values</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first">‘Damage’, ‘Computation time’, ‘Read file time’, ‘Total time’</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><p class="first">Dict</p>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Example:</th><td class="field-body"></td>
</tr>
</tbody>
</table>
<p>‘Usage: python risk_assessment.py &lt;depths.csv&gt; &lt;vulnerability_curve.csv&gt; –plot &lt;filename&gt;’</p>
<dl class="docutils">
<dt>‘Usage: &gt;&gt;&gt;from risk_assessment import riskAssessment, vrPlot’</dt>
<dd>&gt;&gt;&gt;ra = riskAssessment(‘depths.csv’,’vulenrability_curve.csv’)</dd>
</dl>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p class="last">check the arguments data structure in data_sample.zip</p>
</div>
</dd></dl>

<dl class="function">
<dt id="risk_assessment.vrPlot">
<code class="descclassname">risk_assessment.</code><code class="descname">vrPlot</code><span class="sig-paren">(</span><em>vr_curve</em>, <em>filename</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/risk_assessment.html#vrPlot"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#risk_assessment.vrPlot" title="Permalink to this definition">¶</a></dt>
<dd><p>Draws and save the vulnerability_curve plot</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field-odd field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>depth</strong> – depth values</li>
<li><strong>v_curve</strong> (<em>csv file</em><em>, </em><em>float</em><em>, </em><em>See data_sample.zip</em>) – output image filename</li>
</ul>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Returns:</th><td class="field-body"><p class="first">image on fs</p>
</td>
</tr>
<tr class="field-odd field"><th class="field-name">Return type:</th><td class="field-body"><p class="first">file</p>
</td>
</tr>
<tr class="field-even field"><th class="field-name">Example:</th><td class="field-body"></td>
</tr>
</tbody>
</table>
<dl class="docutils">
<dt>‘Usage: &gt;&gt;&gt;from risk_assessment import vrPlot’</dt>
<dd>&gt;&gt;&gt;ra = vrPlot(‘vulenrability_curve.csv’, ‘plot.png’)</dd>
</dl>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p class="last">check the arguments data structure in data_sample.zip</p>
</div>
</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">Risk assessment library</a></h1>








<h3>Navigation</h3>
<p class="caption"><span class="caption-text">Contents:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="current reference internal" href="#">Function documentation</a></li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
      <li>Previous: <a href="index.html" title="previous chapter">Welcome to Risk assessment library’s documentation!</a></li>
  </ul></li>
</ul>
</div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <form class="search" action="search.html" method="get">
      <div><input type="text" name="q" /></div>
      <div><input type="submit" value="Go" /></div>
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &copy;2017, Michele Giordano.
      
      |
      Powered by <a href="http://sphinx-doc.org/">Sphinx 1.6.4</a>
      &amp; <a href="https://github.com/bitprophet/alabaster">Alabaster 0.7.10</a>
      
      |
      <a href="_sources/code.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>